<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yida.data.form.customForm.mapper.CoreCustomFormGroupMapper">

    <resultMap id="baseResultMap" type="com.yida.data.common.core.entity.customform.CoreCustomFormGroup">
        <id column="id" property="id" jdbcType="BIGINT"/>
        <result column="description" property="description"/>
        <result column="groupName" property="description"/>
        <result column="createDate" property="description"/>
        <result column="createId" property="description"/>
    </resultMap>


    <select id="findGroupPageList"
            resultMap="baseResultMap">
    SELECT
	    *
    FROM
	    core_custom_form_group
    WHERE
        <if test="groupName != null and groupName !=''">
            group_name LIKE CONCAT('%',#{groupName},'%')
        </if>
	order by create_date desc
    </select>
</mapper>
